Get Analysis Description
curl --request GET \
--url https://api.example.com/v1/analyses/{analysis_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.example.com/v1/analyses/{analysis_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.example.com/v1/analyses/{analysis_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"name": "<string>",
"owner_id": "<string>",
"created_at": 123,
"urls": [
"<string>"
],
"prompts": [
{
"id": "prompt_01h45ytscbebyvny4gc8cr8ma2",
"idx": 123,
"name": "<string>",
"prompt": "<string>",
"version": 123,
"description": "<string>"
}
],
"description": "<string>",
"last_run_at": 123
},
"response_type": "AnalysisDescriptionResponse",
"links": [
{
"href": "/resource/{resource_id}",
"method": "GET",
"rel": "self",
"title": "Resource Details"
},
{
"href": "/resource/{resource_id}/related",
"method": "GET",
"rel": "related",
"title": "Related Resources"
}
]
}{
"data": {
"title": "Request Validation Error",
"status": 422,
"detail": "Request validation failed",
"instance": "https://urlyourequest.com/path?query=value"
},
"response_type": "ErrorResponse"
}{
"data": {
"title": "Unauthorized",
"status": 401,
"detail": "Authentication required",
"instance": "https://urlyourequest.com/path?query=value"
},
"response_type": "ErrorResponse"
}{
"data": {
"title": "Payment Required",
"status": 402,
"detail": "Payment required",
"instance": "https://urlyourequest.com/path?query=value"
},
"response_type": "ErrorResponse"
}{
"data": {
"title": "Forbidden",
"status": 403,
"detail": "Access forbidden",
"instance": "https://urlyourequest.com/path?query=value"
},
"response_type": "ErrorResponse"
}{
"data": {
"title": "Not Found",
"status": 404,
"detail": "Resource not found",
"instance": "https://urlyourequest.com/path?query=value"
},
"response_type": "ErrorResponse"
}{
"data": {
"title": "Request Validation Error",
"status": 422,
"detail": "Request validation failed",
"instance": "https://urlyourequest.com/path?query=value"
},
"response_type": "ErrorResponse"
}{
"data": {
"title": "Internal Server Error",
"status": 500,
"detail": "Internal server error",
"instance": "https://urlyourequest.com/path?query=value"
},
"response_type": "ErrorResponse"
}analyses
Get Analysis Description
Get analysis description with URLs and prompts.
GET
/
v1
/
analyses
/
{analysis_id}
Get Analysis Description
Authorizations
API Key for external integrations (format: greetincs_...)
Path Parameters
Analysis ID in TypeID format
Response
Successful Response
Analysis with loaded prompt details and URLs.
Analysis detail data.
Show child attributes
Show child attributes
HATEOAS links related to this response (e.g., self, next, prev)
Show child attributes
Show child attributes
Example:
[
{
"href": "/resource/{resource_id}",
"method": "GET",
"rel": "self",
"title": "Resource Details"
},
{
"href": "/resource/{resource_id}/related",
"method": "GET",
"rel": "related",
"title": "Related Resources"
}
]
⌘I